<?php

/**
 * @global
 */
function macro_BHL_REF($proc, $mod_name, $func, $signature_json = '')
{
  //validate signature only if it's explicitely passed
  if($signature_json)
  {
    $signature = json_decode($signature_json, false);
    if(!is_array($signature))
      throw new Exception("Signature is invalid '$mod_name'");
    \taskman\bhl_validate_func_ref($mod_name, $func, $signature);
  }

  return array('module' => ltrim($mod_name, '/'), 'fn' => $func);
}

